# frozen_string_literal: true

class AddTextLimitToVulnerabilityOccurrencesEntityColumns < ActiveRecord::Migration[6.0]
  include Gitlab::Database::MigrationHelpers

  DOWNTIME = false

  disable_ddl_transaction!

  def up
    add_text_limit :vulnerability_occurrences, :description, 15000
    add_text_limit :vulnerability_occurrences, :message, 3000
    add_text_limit :vulnerability_occurrences, :solution, 7000
    add_text_limit :vulnerability_occurrences, :cve, 48400
  end

  def down
    remove_text_limit :vulnerability_occurrences, :description
    remove_text_limit :vulnerability_occurrences, :message
    remove_text_limit :vulnerability_occurrences, :solution
    remove_text_limit :vulnerability_occurrences, :cve
  end
end
