# frozen_string_literal: true

module Banzai
  module Filter
    module References
      # The actual filter is implemented in the EE mixin
      class VulnerabilityReferenceFilter < IssuableReferenceFilter
        self.reference_type = :vulnerability

        def self.object_class
          Vulnerability
        end

        private

        def project
          context[:project]
        end
      end
    end
  end
end

Banzai::Filter::References::VulnerabilityReferenceFilter.prepend_if_ee('EE::Banzai::Filter::References::VulnerabilityReferenceFilter')
